Catmandu::Fix::Bind::benchmark(3pm)

NAME
Catmandu::Fix::Bind::benchmark - a binder that calculates the execution time of Fix functions

SYNOPSIS
 do benchmark(output:/dev/stderr)
    foo()
 end

 # will create as side effect computation statistics on the stderr

 elapsed   command              calls    sec/comm
 -------------------------------------------------------------
 0.000006  Catmandu::Fix::foo   1 times  0.000006 secs/command

DESCRIPTION
The benchmark binder computes all the Fix function plus as side effect calculates the execution time of all wrapped functions over all input records.

CONFIGURATION

  output
Required. The path of a file to which the benchmark statistics will be written.

SEE ALSO
Catmandu::Fix::Bind